Subject: bug#64605: closed (Re: bug#64605: HandBrake 1.5.1 hangs on startup due libQt5Qml)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Aug 2023 02:28:02 +0000

Your bug report

#64605: HandBrake 1.5.1 hangs on startup due libQt5Qml

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64605: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64605
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64605: HandBrake 1.5.1 hangs on startup due libQt5Qml
From: Maxim Cournoyer <[email-masked]>
To: Distopico <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Aug 2023 22:26:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Distopico <[email-masked]> writes:
>
>> On 2023-07-20, Maxim Cournoyer <[email-masked]> wrote:
>>
>>> Hello,
>>>
>>> Distopico <[email-masked]> writes:
>>>
>>>> On 2023-07-20, Maxim Cournoyer <[email-masked]> wrote:
>>>>
>>>>> This looks like an upstream Qt problem.  Have you searched if an issue
>>>>> was known about it?  Their tracker is at https://bugreports.qt.io/.
>>>>
>>>> Checking there looks like is already reported a similar issue
>>>> https://bugreports.qt.io/browse/QTBUG-58508, I think that happens in
>>>> Guix/Nix becase QT is trying to write inside the profile path 
>>>
>>> It looks like we should apply this patch to completely disable QML disk
>>> cache in Qt: https://github.com/NixOS/nixpkgs/pull/197010.
>>
>> yes, I was thinking on that, maybe inside [profile]/etc/profile
>
> No, the patch is more definitive than that, it disables the QML disk
> caching from qtdeclarative directly.

Installed with commit 1717c8a233b7fda3a10aabc061168c71317f883e.

Let me know if any caching problems persist.

-- 
Thanks,
Maxim

Subject: HandBrake 1.5.1 hangs on startup due libQt5Qml
From: Distopico Vegan <[email-masked]>
To: [email-masked]
Date: Thu, 13 Jul 2023 13:56:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

HandBrake 1.5.1 hangs on startup and `dmesg` show the following error

```
 QQmlThread[....]: segfault at 0 ip 000.... sp 0000... error 4 in libQt5Qml.so.5.15.8
```
After some research I found a similar issues on NixOS:

- https://github.com/NixOS/nixpkgs/issues/32577
- https://github.com/NixOS/nixpkgs/issues/177720

and a solution: https://github.com/NixOS/nixpkgs/pull/197010

Looks like the issue is related with QML disk cache, and after test
ruining *handbrake* with `QML_DISABLE_DISK_CACHE=1` works fine

```
QML_DISABLE_DISK_CACHE=1 ghb
```